StarEncodingOtherKorean Class Reference documentation

Public Member Functions | Static Public Member Functions | List of all members
StarEncodingOtherKorean Class Reference

the main class to read/. More...

`#include <StarEncodingOtherKorean.hxx>`

## Public Member Functions
| StarEncodingOtherKorean ()
| constructor More...
virtual | ~StarEncodingOtherKorean ()
| destructor More...

## Static Public Member Functions
static bool | readKoreanBig5 (std::vector< uint8_t > const &src, size_t &pos, StarEncoding::Encoding encoding, std::vector< uint32_t > &dest)
| try to read a caracter and add it to string: BIG5_HKSCS More...
static bool | readKoreanMS1361 (std::vector< uint8_t > const &src, size_t &pos, StarEncoding::Encoding encoding, std::vector< uint32_t > &dest)
| try to read a caracter and add it to string: MS_1361 More...

## Detailed Description

the main class to read/.

. some other Korean encoding in StarOffice documents

## Constructor & Destructor Documentation

## ◆ StarEncodingOtherKorean()

StarEncodingOtherKorean::StarEncodingOtherKorean | ( |  | ) |

constructor

## ◆ ~StarEncodingOtherKorean()

StarEncodingOtherKorean::~StarEncodingOtherKorean | ( |  | ) |
| virtual

destructor

## Member Function Documentation

## ◆ readKoreanBig5()

bool StarEncodingOtherKorean::readKoreanBig5 | ( | std::vector< uint8_t > const & | src,
|  | size_t & | pos,
|  | StarEncoding::Encoding | encoding,
|  | std::vector< uint32_t > & | dest
| ) |  |
| static

try to read a caracter and add it to string: BIG5_HKSCS

Referenced by StarEncoding::read().

## ◆ readKoreanMS1361()

bool StarEncodingOtherKorean::readKoreanMS1361 | ( | std::vector< uint8_t > const & | src,
|  | size_t & | pos,
|  | StarEncoding::Encoding | encoding,
|  | std::vector< uint32_t > & | dest
| ) |  |
| static

try to read a caracter and add it to string: MS_1361

Referenced by StarEncoding::read().

The documentation for this class was generated from the following files:

- StarEncodingOtherKorean.hxx
- StarEncodingOtherKorean.cxx